Delete deprecated files 04/63004/2
authorTim Johnson <tijohnson@linuxfoundation.org>
Fri, 31 Jan 2020 17:33:39 +0000 (09:33 -0800)
committerTim Johnson <tijohnson@linuxfoundation.org>
Tue, 4 Feb 2020 00:04:11 +0000 (16:04 -0800)
Change-Id: I41e86ee5e11f94464e77416e10232bf54416a9da
Signed-off-by: Tim Johnson <tijohnson@linuxfoundation.org>
shell/git-validate-jira-urls.sh [deleted file]
shell/jjb-check-unicode.sh [deleted file]
shell/jjb-cleanup.sh [deleted file]
shell/jjb-install.sh [deleted file]
shell/pip-install.sh [deleted file]

diff --git a/shell/git-validate-jira-urls.sh b/shell/git-validate-jira-urls.sh
deleted file mode 100644 (file)
index 4a10772..0000000
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/bash
-# SPDX-License-Identifier: EPL-1.0
-##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v1.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v10.html
-##############################################################################
-echo "---> git-validate-jira-urls.sh"
-# This script will make sure that there are no JIRA URLs in the commit
-# message. JIRA URLs will break the its-jira plugin
-
-# Ensure we fail the job if any steps fail.
-# Do not treat undefined variables as errors as in this case we are allowed
-# to have JIRA_URL undefined
-set -e -o pipefail
-set +u
-
-if [ -n "${JIRA_URL}" ];
-then
-  BASE_URL=$(echo "$JIRA_URL" | awk -F'/' '{print $3}')
-  JIRA_LINK=$(git rev-list --format=%B --max-count=1 HEAD | grep -io "http[s]*://$BASE_URL/" || true)
-  if [[ -n "$JIRA_LINK" ]]
-  then
-    echo 'Remove JIRA URLs from commit message'
-    echo 'Add jira references as: Issue: <JIRAKEY>-<ISSUE#>, instead of URLs'
-    exit 1
-  fi
-fi
diff --git a/shell/jjb-check-unicode.sh b/shell/jjb-check-unicode.sh
deleted file mode 100644 (file)
index 284d6db..0000000
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/bash
-# SPDX-License-Identifier: EPL-1.0
-##############################################################################
-# Copyright (c) 2015 The Linux Foundation and others.
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v1.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v10.html
-##############################################################################
-echo "---> jjb-check-unicode.sh"
-
-if LC_ALL=C grep -I -r '[^[:print:][:space:]]' jjb/; then
-    echo "Found files containing non-ascii characters."
-    exit 1
-fi
-
-echo "All files are ASCII only"
diff --git a/shell/jjb-cleanup.sh b/shell/jjb-cleanup.sh
deleted file mode 100644 (file)
index ffdfe1f..0000000
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/bash
-# SPDX-License-Identifier: EPL-1.0
-##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v1.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v10.html
-##############################################################################
-echo "---> jjb-cleanup.sh"
-# Cleans up the temporary directory created for the virtualenv but only if it
-# exists under /tmp. This is to ensure we never attempt to blow away '/'
-# through mis-set bash variables.
-
-# Ensure we fail the job if any steps fail.
-# DO NOT set -u as virtualenv's activate script has unbound variables
-set -e +u -o pipefail
-
-# shellcheck source="$WORKSPACE/.jjb.properties" disable=SC1091
-source "$WORKSPACE/.jjb.properties"
-if [[ -n "$JJB_VENV" && "$JJB_VENV" =~ /tmp/.* ]]; then
-    rm -rf "$JJB_VENV" && echo "$JJB_VENV removed"
-    unset JJB_VENV
-fi
-rm -f "$WORKSPACE/.jjb.properties"
-deactivate
diff --git a/shell/jjb-install.sh b/shell/jjb-install.sh
deleted file mode 100644 (file)
index d0c0e4a..0000000
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash -l
-# SPDX-License-Identifier: EPL-1.0
-##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v1.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v10.html
-##############################################################################
-echo "---> jjb-install.sh"
-
-# Ensure we fail the job if any steps fail.
-# DO NOT set -u as virtualenv's activate script has unbound variables
-set -e -o pipefail
-
-# Create a virtualenv in a temporary directoy and write it down to used
-# or cleaned up later; cleanup is done in the script jjb-cleanup.sh.
-JJB_VENV="$(mktemp -d)"
-export JJB_VENV
-virtualenv "$JJB_VENV"
-echo "JJB_VENV=$JJB_VENV" > "$WORKSPACE/.jjb.properties"
-# shellcheck source=$VENV_DIR/bin/activate disable=SC1091
-source "$JJB_VENV/bin/activate"
-python -m pip install --quiet --upgrade "jenkins-job-builder==$JJB_VERSION"
-
-# installs are silent, show version details in log
-python --version
-pip --version
-pip freeze
diff --git a/shell/pip-install.sh b/shell/pip-install.sh
deleted file mode 100644 (file)
index 9770d66..0000000
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/bash
-# SPDX-License-Identifier: EPL-1.0
-##############################################################################
-# Copyright (c) 2017 The Linux Foundation and others.
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v1.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v10.html
-##############################################################################
-# pip install packages into a virtualenv using the first listed package as venv name
-#
-# PIP_PACKAGES is a space separated list of pypi packages to install. The first
-#              listed package is used as the virtualenv directory name.
-echo "---> pip-install.sh"
-
-# Ensure we fail the job if any steps fail.
-# DO NOT set -u as virtualenv's activate script has unbound variables
-set -e -o pipefail
-
-# Install git-review using virtualenv to the latest version that supports
-# --reviewers option, available through pip install. Existing minion image has a
-# version that does not have it.
-virtualenv "/tmp/v/${PIP_PACKAGES%% *}"
-# shellcheck source=/tmp/v/venv/bin/activate disable=SC1091
-source "/tmp/v/${PIP_PACKAGES%% *}/bin/activate"
-pip install --quiet --upgrade "pip==9.0.3" setuptools
-pip install --quiet --upgrade pipdeptree
-
-# PIP_PACKAGES needs to be passed through as a space separated list of packages
-# shellcheck disable=SC2086
-pip install --upgrade $PIP_PACKAGES
-
-echo "----> Pip Dependency Tree"
-pipdeptree